<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <script src="js/Cesium.js"></script>
  <link href="css/widgets.css" rel="stylesheet">
</head>
<body>
  <div id="cesiumContainer"></div>
  <script>
    //Cesium.Ion.defaultAccessToken = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiIwNDA5YjVjZS00ZDE5LTRhYjItYWNlNS03YjQ0M2ZiZjY1Y2YiLCJpZCI6MTMzNjk2LCJpYXQiOjE2ODE0NTU3MTN9.b1V6H8r_a9BUDOkYgRQTquXCFfbCgmQRbI8256ixslQ';

	// Cesium viewer
	const viewer = new Cesium.Viewer("cesiumContainer", {
	  animation: false,
	  baseLayerPicker: true,
	  geocoder: false,
	  homeButton: false,
	  infoBox: false,
	  navigationHelpButton: false,
	  projectionPicker: false,
	  sceneModePicker: false,
	  timeline: false,
	  imageryLayers: true,

	  imageryProvider: new Cesium.UrlTemplateImageryProvider({
	    url:
	      "https://wmts{s}.geo.admin.ch/1.0.0/ch.swisstopo.swissimage-product/default/current/4326/{z}/{x}/{y}.jpeg",
	    subdomains: "56789",
	    availableLevels: [8, 10, 12, 14, 15, 16, 17, 18],
	    minimumRetrievingLevel: 8,
	    maximumLevel: 17,
	    tilingScheme: new Cesium.GeographicTilingScheme({
	      numberOfLevelZeroTilesX: 2,
	      numberOfLevelZeroTilesY: 1,
	    }),
	  }),

	  terrainProvider: new Cesium.CesiumTerrainProvider({
	    url: "https://download.swissgeol.ch/cli_terrain/ch-2m/",
	    availableLevels: [
	      0,
	      1,
	      2,
	      3,
	      4,
	      5,
	      6,
	      7,
	      8,
	      9,
	      10,
	      11,
	      12,
	      13,
	      14,
	      15,
	      16,
	      18,
	      19,
	    ],
	    rectangle: Cesium.Rectangle.fromDegrees(7.13725, 47.83080, 10.44270, 45.88465), 
	  }),
	  

	});

	async function displayBuildings(){
		const buildings = await Cesium.Cesium3DTileset.fromUrl(
			"https://vectortiles0.geo.admin.ch/3d-tiles/ch.swisstopo.swisstlm3d.3d/20180716/tileset.json", {
			skipLevelOfDetail: true,
			baseScreenSpaceError: 1024,
			skipScreenSpaceErrorFactor: 16,
			skipLevels: 1,
			immediatelyLoadDesiredLevelOfDetail: false,
			loadSiblings: false,
			cullWithChildrenBounds: true
		});
		viewer.scene.primitives.add(buildings);
	}    

	displayBuildings();

    let scene = viewer.scene;
    let modelMatrix = Cesium.Transforms.eastNorthUpToFixedFrame(Cesium.Cartesian3.fromDegrees(6.61058, 46.52308, 500));
    let IfcSlab = scene.primitives.add(Cesium.Model.fromGltf({
        url : 'data/IfcSlab.glb',
        modelMatrix : modelMatrix,
        scale : 1.0
	}));



    //changer les coordonnées pour aller jusqu'à HES-SO Provence
    viewer.camera.flyTo({
      destination : Cesium.Cartesian3.fromDegrees(6.61058, 46.52308, 550),
      orientation : {
        heading : Cesium.Math.toRadians(0.0),
        pitch : Cesium.Math.toRadians(-15.0),
      }
    });
    	
  </script>
 </div>
</body>
</html>

